Bug 848273 - binutils package not signed
binutils package not signed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 01:47 EDT by Stef Walter
Modified: 2014-02-05 07:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:03:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-08-15 01:47:14 EDT
Description of problem:

The binutils package in fedora 18 doesn't seem to have an appropriate GPG RSA or DSA signature attached to it.

[stef@stef-rawhide ~]$ sudo yum upgrade binutils --skip-broken 
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package binutils.x86_64 0:2.23.51.0.1-1.fc18 will be updated
---> Package binutils.x86_64 0:2.23.51.0.1-2.fc18 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch          Version                      Repository     Size
================================================================================
Updating:
 binutils        x86_64        2.23.51.0.1-2.fc18           fedora        3.8 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 3.8 M
Is this ok [y/N]: y
Downloading Packages:


Package binutils-2.23.51.0.1-2.fc18.x86_64.rpm is not signed
[stef@stef-rawhide ~]$ rpm --checksig /var/cache/yum/x86_64/18/fedora/packages/binutils-2.23.51.0.1-2.fc18.x86_64.rpm
/var/cache/yum/x86_64/18/fedora/packages/binutils-2.23.51.0.1-2.fc18.x86_64.rpm: sha1 md5 OK
[stef@stef-rawhide ~]$ rpm --checksig -vvv /var/cache/yum/x86_64/18/fedora/packages/binutils-2.23.51.0.1-2.fc18.x86_64.rpm
D: loading keyring from pubkeys in /var/lib/rpm/pubkeys/*.key
D: couldn't find any keys in /var/lib/rpm/pubkeys/*.key
D: loading keyring from rpmdb
D: opening  db environment /var/lib/rpm cdb:0x401
D: opening  db environment /var/lib/rpm cdb:private:0x401
D: opening  db index       /var/lib/rpm/Packages 0x400 mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name 0x400 mode=0x0
D:  read h#     225 Header sanity check: OK
D: added key gpg-pubkey-1aca3465-4f0c91e2 to keyring
D:  read h#    1331 Header sanity check: OK
D: added key gpg-pubkey-7fac5991-4615767f to keyring
D:  read h#    5666 Header SHA1 digest: OK (ee9a5785940e76344d2734c2156c88f1b88191bd)
D: added key gpg-pubkey-de7f38bd-501f4964 to keyring
D:  read h#    5865 Header SHA1 digest: OK (8c31c8b285c76749648e864bd9b8979936813c01)
D: added key gpg-pubkey-a4d647e9-501f7eef to keyring
D: Using legacy gpg-pubkey(s) from rpmdb
D: Expected size:      3938140 = lead(96)+sigs(180)+pad(4)+data(3937860)
D:   Actual size:      3938140
/var/cache/yum/x86_64/18/fedora/packages/binutils-2.23.51.0.1-2.fc18.x86_64.rpm:
    Header SHA1 digest: OK (d1db8d40927fd340635564277e3af13b50e86e0a)
    MD5 digest: OK (fcd5b1a0ce608eafda2d0733c8c6d914)
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm


Notice the absence of an RSA line above, just SHA1 and MD5.

Version-Release number of selected component (if applicable):

binutils-2.23.51.0.1-2.fc18.x86_64.rpm

How reproducible:

Every time.

Steps to Reproduce:
1. See above
  
Actual results:

Prevents upgrade

Expected results:

Upgrade proceeds.

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 03:40:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 07:03:32 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.